How to download LuminarAI 1.3.0 M1 compatible version

Comments

9 comments

  • Avatar
    Stefan Hebestreit

    Do we have different "sub"versions with Luminar AI 1.3.0?

    The Intel Version says 1.3.0 (9155) and the ARM M1 Version says 1.3.0 (9133).

    Apps like MacUpdater did notify me that I am not up to date. 

    0
    Comment actions Permalink
  • Avatar
    Steve Kujubu

    I'm very pleased to report that after not being using L4 since I went to Apple M1 (in Jan) today marks are huge milestone. I deleted the old version and installed the latest version (follow instructions) and everything works great! It now works as a plug-in to Photoshop M1 version. *Also, for C1 users; you will need to delete old version and reinstall M1 version. I don't know if L4 works as a plug-in to C1?

    0
    Comment actions Permalink
  • Avatar
    Jim Coyle

    this link: http://skylum.com/download/luminar-ai-m1  is not working

    0
    Comment actions Permalink
  • Avatar
    Stefan Hebestreit

    Jim Coyle the link works :) 

    0
    Comment actions Permalink
  • Avatar
    Kate Williams

    Hi guys!

    @Stefan,

    The M1 version has a different build number, but it's the same app version - 1.3.0. 

    The only difference between the builds is that the native support of the M1 chip.

    @Steve, 

    Our apps aren't officially integrated with Capture One. You can try the workaround outlined here; however, we cannot guarantee that it will work smoothly in M1 machines since Luminar 4 runs only via Rosetta 2. 

    @Jim ,

    Please try to right-click the installer > Open in New tab: http://skylum.com/download/luminar-ai-m1 

    If the issue persists, please try this alternative installer: https://downloads.skylum.com/luminarai/mac/1.3.0_m1/LuminarAI_Distribution_v1_3_0_9133.zip 

    If you're still unable to install the M1-compatible version, please contact us at https://skylum.com/support 

    Be sure to include the screenshot illustrating the issue. 

    0
    Comment actions Permalink
  • Avatar
    Anthony Gutman

    Do not forget to backup your catalog before anything !

    Once you've followed the process, it is really incredibly fast and reliable. (M1 rules !! ;-) )

    0
    Comment actions Permalink
  • Avatar
    Howard Lebowitz

    Why is Luminar AI not a Universal app? That way user does not have to download different versions.

    0
    Comment actions Permalink
  • Avatar
    Member

    So I have a M1 Mac.  I upgraded and had the old intel Mac with Luminar 4 for photoshop and used it as a plug in.  I read all the above posts.  When following the above instructions the process above only instals a trial version of Luminar AI and not a working copy of Luminar 4.  I only have a key code for Luminar 4.  I don't want to buy Luminar AI.  Is there any other work around or solution.

    0
    Comment actions Permalink
  • Avatar
    Katherine Nelson

    Hi,

    Please note that Luminar 4 doesn't have native M1 support yet. We would suggest using Rosetta 2 emulation, since it allows to run the plugin and the results should be as expected.

     

    0
    Comment actions Permalink

Please sign in to leave a comment.